Bug 173104 - Invalid ACPI IRQ assignment on Fujitsu P2120 with RealTek Ethernet interface disabled
Invalid ACPI IRQ assignment on Fujitsu P2120 with RealTek Ethernet interface ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-11-14 01:39 EST by TC
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 02:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Default IRQ assignment when booting without 'acpi_irq_isa=10,11' (13.83 KB, text/plain)
2005-11-14 01:42 EST, TC
no flags Details
Interrupt assignment for correct behavior (484 bytes, text/plain)
2005-11-14 01:43 EST, TC
no flags Details

  None (edit)
Description TC 2005-11-14 01:39:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
This is a longstanding problem on Fujitsu P2120 notebooks, first reported by myself here: http://bugme.osdl.org/show_bug.cgi?id=1322. 

The IRQ assignment done by ACPI is not correct if the Ethernet interface is disabled on startup (running on battery mode). Prior to kernel 2.6.14, attempting to attach a USB device would result in a kernel hard-lock (need to remove power to recover). However, on 2.6.14, it gives an unhandled Interrupt driver crash debug information in dmesg, so perhaps some attempt to resolve this is possible.



Version-Release number of selected component (if applicable):
kernel-2.6.14

How reproducible:
Always

Steps to Reproduce:
1. Startup P2120 in battery-only mode (disables Ethernet device)
2. Check interrupt assignment for USB OHCI driver (invalid assignment to IRQ10)
3. Plug in USB device
  

Actual Results:  dmesg output indicate kernel module crashed

Expected Results:  Kernel USB driver module shouldn't crash
Driver should attempt to reset IRQ assignment (?)

Additional info:

Currently I boot with acpi_irq_isa=10,11 to force kernel to skip IRQ 10 for automatic assignment to USB OHCI driver.
Comment 1 TC 2005-11-14 01:42:54 EST
Created attachment 121011 [details]
Default IRQ assignment when booting without  'acpi_irq_isa=10,11'

IRQ 10 should never be assigned to USB OHCI devices, EHCI and OHCI devices
(except one placed on IRQ11) should be placed on IRQ9. This problem does not
occur if Ethernet device is enabled and activated.
Comment 2 TC 2005-11-14 01:43:49 EST
Created attachment 121012 [details]
Interrupt assignment for correct behavior
Comment 3 Dave Jones 2005-12-10 02:25:28 EST
this is something that really needs to be worked out upstream. Otherwise we'll
end up carrying a zillion patches to workaround broken bioses.   Either put up
with the boot command line, or try again to convince the upstream ACPI
maintainer that its necessary.

Note You need to log in before you can comment on or make changes to this bug.